> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Read automation by ID



## OpenAPI

````yaml /openapi/public/openapi-flow.json get /automation/{automationId}
openapi: 3.0.0
info:
  title: MileApp API - Flow
  version: 3.0.0
  description: MileApp API Documentation - RESTful API for field operations management.
servers:
  - url: https://apiweb.mile.app/api/v3
security:
  - bearerAuth: []
tags:
  - name: Flow
    description: >-
      Flow in MileApp is the mobile field application workflow, setting it
      correctly is critical to the success of the field workers in doing their
      job efficiently. Flow attributes consist of IDs, pages, components,
      configurations, and time. The Flow will be used at Task, Automation, or
      Schedule.


      **To see the details of flow object, please follow [this
      link](#tag/flow_model)**
  - name: Automation
    description: >-
      Automation enables you to set up automation based on tasks' events and
      data source's events. It might help you automate creation of tasks, task
      assignment, task placement, task webhook, data source update, datasource
      creation, and data source webhook. Automation attributes consist of IDs,
      automation name, automation type, automation details, and rules.


      **To see the details of automation object, please follow [this
      link](#tag/automation_model)**
paths:
  /automation/{automationId}:
    get:
      tags:
        - Automation
      summary: Read automation by ID
      operationId: automation/id1
      parameters:
        - name: automation_id
          in: path
          required: true
          description: |-
            Unique identifier for automation that generated by system.
            **Example**: `62ce3918d3f3e1681a3a54b5`
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                title: NetworkReadIDResponse
                properties:
                  status:
                    type: boolean
                    description: Status of response.
                  message:
                    description: Message of API response.
                    type: string
                  data:
                    description: Detail of object automation.
                    type: object
                    additionalProperties: true
                example:
                  status: true
                  message: Success
                  data:
                    name: Auto webhook automation
                    event: onTaskFinished
                    automationType: webhook
                    dataType: task
                    automationDetails:
                      url: https://apiweb.mile.app/webhook
                      headers:
                        x-api-key: 1234e98498ce07d29474a7ev2
                        org: general
                    rules:
                      flow: Pickup
                      flowId: 667b712f63020e5f182f0cb2
                    organizationId: 621dd813eb3ebf16b94dbde3
                    isActive: true
                    updatedTime: '2022-07-13T03:16:40+00:00'
                    createdTime: '2022-07-13T03:16:40+00:00'
                    _id: 62ce3918d3f3e1681a3a54b5
        '404':
          description: Data not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Data not found
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Internal server error, please contact support@mile.app.
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use a valid Bearer token to authenticate.

````